---
title: FileSystemEntry.filesystem
slug: Web/API/FileSystemEntry/filesystem
tags:
  - API
  - File System API
  - File and Directory Entries API
  - FileSystemEntry
  - Files
  - Non-standard
  - Offline
  - Property
  - Reference
  - filesystem
---
<p>{{APIRef("File System API")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The read-only <strong><code>filesystem</code></strong> property of the {{domxref("FileSystemEntry")}} interface contains a {{domxref("FileSystem")}} object that represents the file system on which the entry resides.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>filesystem</em> = <em>FileSystemEntry</em>.filesystem;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("FileSystem")}} representing the file system on which the file or directory described by the <code>FileSystemEntry</code> is located..</p>

<h2 id="Example">Example</h2>

<p>This example obtains a {{domxref("FileSystemDirectoryEntry")}} for the root directory of the file system containing a file.</p>

<pre class="brush: js">let rootDirEntry = fileEntry.filesystem.root;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('File System API', '#dom-filesystementry-filesystem', 'filesystem') }}</td>
   <td>{{ Spec2('File System API') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FileSystemEntry.filesystem")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API">File and Directory Entries API</a></li>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API/Introduction">Introduction to the File System API</a></li>
 <li>{{domxref("FileSystemEntry")}}</li>
 <li>{{domxref("FileSystem")}}</li>
</ul>
